petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESGetType

Gets the SNES method type and name (as a string).

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetType(SNES snes,SNESType *type)

Not Collective

### Input Parameter

snes - nonlinear solver context

### Output Parameter

type - SNES method (a character string)

### Keywords

SNES, nonlinear, get, type, name

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages